#{extends 'borderNG.html' /}

<ol class="breadcrumb">
<li><a href="@{lelang.PaketCtr.index()}">&{'paketlelang.daftar_paket'} </a>
<li><a href="@{lelang.PaketCtr.edit(paket.pkt_id)}">&{'paketlelang.edit_paket'} </a>
<li class="active">&{'paketlelang.kategorisasi_paket'}</li>
</ol>

<div class="content">
<table class="table table-sm table-bordered">
	<tr>
        <th class="bg-warning" width="20%">&{'lelangpaket.kode_rup'}</th>
        <th>${paket?.kodeRup}</th>
    </tr>
     <tr>
        <th class="bg-warning">&{'tag.klpd'}<span class="warning"> *</span></th>
        <td>${paket?.namaInstansi}</td>
    </tr>
     <tr>
        <th class="bg-warning">&{'paketlelang.satuan_kerja'}<span class="warning"> *</span></th>
        <td>${paket?.namaSatker}</td>
    </tr>
	<tr>
      <th class="bg-warning" width="200">&{'paketlelang.nama_paket'}</th>
      <td>${paket.pkt_nama}</td>
    </tr>
</table>
<div class="panel panel-default">
  <div class="panel-heading">&{'paketlelang.pilhi_kategorisasi'}</div>
	<table class="table table-condensed " id="tblkode">
	    <thead>
	    <tr>
	    	<th width="20" nowrap>&{'paketlelang.kode'}</th>
	        <th>&{'paketlelang.komoditas'}</th>
	        <th>&{'paketlelang.jenis'}</th>
	        <th>&{'paketlelang.kategori'}</th>
	        <th>&{'paketlelang.kelompok'}</th>
	        <th width="10">&{'paketlelang.pilih'}</th>
	    </tr>
	    </thead>
	</table>
</div>
 #{backButton action:@lelang.PaketCtr.edit(paket.pkt_id) /}
</div>
#{set 'css_custom' } 
<link href="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/css/dataTables.bootstrap4.min.css" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/jquery.dataTables.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/dataTables.bootstrap4.min.js"></script>
<script type="text/javascript" src="#{assets '/js/datatables.config.js'/}"></script>
<script type="text/javascript">  
var pilih = #{jsRoute @lelang.PaketCtr.unspsc_pilih(paket.pkt_id, ':id') /};
var code = #{if paket?.unspsc} ${paket.unspsc?.commodity_id} #{/if} #{else} 0 #{/else};
var table = $("#tblkode").DataTable({
        ajax: "@{DataTableCtr.unspsc()}",
        columns: [null,null,null, null,null, {render: function (data, type, row){
        	if(code != row[0])
        		return '<a href="'+pilih.url({id:row[0]})+'" class="badge  badge-secondary">Pilih</a>';
        	else
        		return '<div class="text-center"><i class="fa fa-check"></i></div>';
        }}]
    });
    $('#tblkode_filter input').unbind();
    $('#tblkode_filter input').bind('keyup', function(e) {
        if(e.keyCode == 13) {
          table.search(this.value).draw();
         }
    });
</script>
#{/set}